# Contributing

The [fish-lsp](https://fish-lsp.dev) aims to create an experience that aligns with the [fish](https://fishshell.com) language goals.

In short, the project hopes to create a development environment that is as
_friendly_ as possible.

---

There are many ways to contribute to the project:

- Submit bugs, and help work on fixes
- __Refactor__ out unnecessary source code.
- Implement features, outlined in the [roadmap](./ROADMAP.md).
- Implement new client configurations, outlined in this [repo](https://github.com/ndonfris/fish-lsp-language-clients/blob/master/)
- Add [tests](https://github.com/ndonfris/fish-lsp/blob/master/test-data) to verify expected behavior.
- Update documentation, across any of the project's repositories

## Getting started

Working on the project, will require you to __build it from source__.

You will then be required to `link` the project to your global environment.

Once these steps are complete, you can then begin testing locally. __Forking__ _the
project is encouraged._

Upon completing a change, submit a [PR](https://github.com/ndonfris/fish-lsp/pulls).
